%define name            sablecc
%define version         2.16.2
%define release         2jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Sable Research Group's Compiler Compiler
License:        LGPL
Source0:        %{name}-%{version}-src.tar.gz
Url:            http://www.sablecc.org
BuildRequires:  ant
Group:          Development/Java
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Vendor:         JPackage project

%description
SableCC is an object-oriented framework that generates compilers (and
interpreters) in the Java programming language. This framework is based
on two fundamental design decisions. Firstly, the framework uses
object-oriented techniques to automatically build a strictly typed
abstract syntax tree that matches the grammar of the compiled language
and simplifies debugging. Secondly, the framework generates tree-walker
classes using an extended version of the visitor design pattern which
enables the implementation of actions on the nodes of the abstract
syntax tree using inheritance. These two design decisions lead to a tool
that supports a shorter development cycle for constructing compilers.

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
ant jar

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog ChangeLog.old COPYING-LESSER LICENSE README.html THANKS
%{javadir}/*

%changelog
* Wed Jan 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.16.2-2jpp 
- macro section

* Tue Jan 8 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.16.2-1jpp
- first jpp release
